summaryrefslogtreecommitdiffstats
path: root/academic/mathomatic/mathomatic.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/mathomatic/mathomatic.SlackBuild')
-rw-r--r--academic/mathomatic/mathomatic.SlackBuild30
1 files changed, 21 insertions, 9 deletions
diff --git a/academic/mathomatic/mathomatic.SlackBuild b/academic/mathomatic/mathomatic.SlackBuild
index 8995cd8c4d..979c391ab3 100644
--- a/academic/mathomatic/mathomatic.SlackBuild
+++ b/academic/mathomatic/mathomatic.SlackBuild
@@ -6,7 +6,7 @@
# This work is released into the public domain.
PRGNAM=mathomatic
-VERSION=${VERSION:-14.2.8}
+VERSION=${VERSION:-15.0.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,13 +18,16 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -39,16 +42,26 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" make READLINE=1
-make test
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make \
+ prefix=/usr \
+ mandir=/usr/man \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ READLINE=1
+
+make test # This is math. Testing is a very good idea.
+
make install \
prefix=$PKG/usr \
mandir=$PKG/usr/man \
- mathdocdir=$PKG/usr/doc/$PRGNAM-$VERSION
+ docdir=$PKG/usr/doc/$PRGNAM-$VERSION
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -60,7 +73,6 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}